XQuery2IQLTokenManager
Keywords: uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQLTokenManager class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.qproc.translators.xquery
Class XQuery2IQLTokenManager

    java.lang.Object
      uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQLTokenManager

All Implemented Interfaces:
  XQuery2IQLConstants

    public class XQuery2IQLTokenManager

extends java.lang.Object
implements XQuery2IQLConstants

Field Summary
`protected char` | `curChar`
`java.io.PrintStream` | `debugStream`
`protected SimpleCharStream` | `input_stream`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface uk.ac.bbk.dcs.automed.qproc.translators.xquery.XQuery2IQLConstants
`AND, AS, ASSIGN, AT, CASE, COLON, COMMA, CONSTANT, DECLARE, DEFAULT, DIVIDE, DOCTOKEN, ELSE, EOF, EQUALS, FOR, FUNCTION, GREATER_THAN, GREATER_THAN_EQUALS, IF, IN, INT_DIVIDE, LB, LESS_THAN, LESS_THAN_EQUALS, LET, LP, LSB, MINUS, MOD, NCTOKEN, NOT_EQUALS, NUMBER, OR, PATHATTTOKEN, PATHTEXTTOKEN, PATHTOKEN, PLUS, QNAME, RB, RETURN, RP, RSB, SATISFIES, SLASHATTR, SOME, STAR, STRINGTOKEN, THEN, tokenImage, VALUE_EQUALS, VALUE_GREATER_THAN, VALUE_GREATER_THAN_EQUALS, VALUE_LESS_THAN, VALUE_LESS_THAN_EQUALS, VALUE_NOT_EQUALS, VARTOKEN, WHERE`

Constructor Summary
`XQuery2IQLTokenManager(SimpleCharStream stream)`
`XQuery2IQLTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`protected Token` | `jjFillToken()`
`void` | `ReInit(SimpleCharStream stream)`
`void` | `ReInit(SimpleCharStream stream, int lexState)`
`void` | `setDebugStream(java.io.PrintStream ds)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

### input_stream

    protected SimpleCharStream input_stream

### curChar

    protected char curChar

Constructor Detail

### XQuery2IQLTokenManager

    public XQuery2IQLTokenManager(SimpleCharStream stream)

### XQuery2IQLTokenManager

    public XQuery2IQLTokenManager(SimpleCharStream stream,
                                  int lexState)

Method Detail

### setDebugStream

    public void setDebugStream(java.io.PrintStream ds)

### ReInit

    public void ReInit(SimpleCharStream stream)

### ReInit

    public void ReInit(SimpleCharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### jjFillToken

    protected Token jjFillToken()

### getNextToken

    public Token getNextToken()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD